gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.GridLayoutChild

Contents

- Exported types
- Methods
  - getColumn
  - getColumnSpan
  - getRow
  - getRowSpan
  - setColumn
  - setColumnSpan
  - setRow
  - setRowSpan
- Properties
  - column
  - columnSpan
  - row
  - rowSpan

Description

`GtkLayoutChild` subclass for children in a `GtkGridLayout`.

Synopsis

- newtype GridLayoutChild = GridLayoutChild (ManagedPtr GridLayoutChild)
- class (GObject o, IsDescendantOf GridLayoutChild o) => IsGridLayoutChild o
- toGridLayoutChild :: (MonadIO m, IsGridLayoutChild o) => o -> m GridLayoutChild
- gridLayoutChildGetColumn :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> m Int32
- gridLayoutChildGetColumnSpan :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> m Int32
- gridLayoutChildGetRow :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> m Int32
- gridLayoutChildGetRowSpan :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> m Int32
- gridLayoutChildSetColumn :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> Int32 -> m ()
- gridLayoutChildSetColumnSpan :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> Int32 -> m ()
- gridLayoutChildSetRow :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> Int32 -> m ()
- gridLayoutChildSetRowSpan :: (HasCallStack, MonadIO m, IsGridLayoutChild a) => a -> Int32 -> m ()
- constructGridLayoutChildColumn :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getGridLayoutChildColumn :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32
- setGridLayoutChildColumn :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m ()
- constructGridLayoutChildColumnSpan :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getGridLayoutChildColumnSpan :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32
- setGridLayoutChildColumnSpan :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m ()
- constructGridLayoutChildRow :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getGridLayoutChildRow :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32
- setGridLayoutChildRow :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m ()
- constructGridLayoutChildRowSpan :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getGridLayoutChildRowSpan :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32
- setGridLayoutChildRowSpan :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m ()

# Exported types

newtype GridLayoutChild Source #

Memory-managed wrapper type.

Constructors

GridLayoutChild (ManagedPtr GridLayoutChild) |

#### Instances

Instances details

Eq GridLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.GridLayoutChild Methods (==) :: GridLayoutChild -> GridLayoutChild -> Bool Source # (/=) :: GridLayoutChild -> GridLayoutChild -> Bool Source #
GObject GridLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.GridLayoutChild
ManagedPtrNewtype GridLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.GridLayoutChild Methods toManagedPtr :: GridLayoutChild -> ManagedPtr GridLayoutChild Source #
TypedObject GridLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.GridLayoutChild Methods glibType :: IO GType Source #
HasParentTypes GridLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.GridLayoutChild
IsGValue (Maybe GridLayoutChild) Source # | Convert `GridLayoutChild` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.GridLayoutChild Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe GridLayoutChild -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe GridLayoutChild) Source #
type ParentTypes GridLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.GridLayoutChild type ParentTypes GridLayoutChild = '[LayoutChild, Object]

class (GObject o, IsDescendantOf GridLayoutChild o) => IsGridLayoutChild o Source #

Type class for types which can be safely cast to `GridLayoutChild`, for instance with `toGridLayoutChild`.

#### Instances

Instances details

(GObject o, IsDescendantOf GridLayoutChild o) => IsGridLayoutChild o Source # |
Instance details Defined in GI.Gtk.Objects.GridLayoutChild

toGridLayoutChild :: (MonadIO m, IsGridLayoutChild o) => o -> m GridLayoutChild Source #

Cast to `GridLayoutChild`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getChildWidget, getColumn, getColumnSpan, getData, getLayoutManager, getProperty, getQdata, getRow, getRowSpan.

#### Setters

setColumn, setColumnSpan, setData, setDataFull, setProperty, setRow, setRowSpan.

## getColumn

gridLayoutChildGetColumn Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> m Int32 | Returns: the column number

Retrieves the column number to which `child` attaches its left side.

## getColumnSpan

gridLayoutChildGetColumnSpan Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> m Int32 | Returns: the number of columns

Retrieves the number of columns that `child` spans to.

## getRow

gridLayoutChildGetRow Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> m Int32 | Returns: the row number

Retrieves the row number to which `child` attaches its top side.

## getRowSpan

gridLayoutChildGetRowSpan Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> m Int32 | Returns: the number of row

Retrieves the number of rows that `child` spans to.

## setColumn

gridLayoutChildSetColumn Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> Int32 | `column`: the attach point for `child`
-> m () |

Sets the column number to attach the left side of `child`.

## setColumnSpan

gridLayoutChildSetColumnSpan Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> Int32 | `span`: the span of `child`
-> m () |

Sets the number of columns `child` spans to.

## setRow

gridLayoutChildSetRow Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> Int32 | `row`: the row for `child`
-> m () |

Sets the row to place `child` in.

## setRowSpan

gridLayoutChildSetRowSpan Source #

Arguments

:: (HasCallStack, MonadIO m, IsGridLayoutChild a) |
=> a | `child`: a `GtkGridLayoutChild`
-> Int32 | `span`: the span of `child`
-> m () |

Sets the number of rows `child` spans to.

# Properties

## column

The column to place the child in.

constructGridLayoutChildColumn :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`column`” property. This is rarely needed directly, but it is used by `new`.

getGridLayoutChildColumn :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32 Source #

Get the value of the “`column`” property. When overloading is enabled, this is equivalent to

    get gridLayoutChild #column

setGridLayoutChildColumn :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m () Source #

Set the value of the “`column`” property. When overloading is enabled, this is equivalent to

    set gridLayoutChild [ #column := value ]

## columnSpan

The number of columns the child spans to.

constructGridLayoutChildColumnSpan :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`column-span`” property. This is rarely needed directly, but it is used by `new`.

getGridLayoutChildColumnSpan :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32 Source #

Get the value of the “`column-span`” property. When overloading is enabled, this is equivalent to

    get gridLayoutChild #columnSpan

setGridLayoutChildColumnSpan :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m () Source #

Set the value of the “`column-span`” property. When overloading is enabled, this is equivalent to

    set gridLayoutChild [ #columnSpan := value ]

## row

The row to place the child in.

constructGridLayoutChildRow :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`row`” property. This is rarely needed directly, but it is used by `new`.

getGridLayoutChildRow :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32 Source #

Get the value of the “`row`” property. When overloading is enabled, this is equivalent to

    get gridLayoutChild #row

setGridLayoutChildRow :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m () Source #

Set the value of the “`row`” property. When overloading is enabled, this is equivalent to

    set gridLayoutChild [ #row := value ]

## rowSpan

The number of rows the child spans to.

constructGridLayoutChildRowSpan :: (IsGridLayoutChild o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`row-span`” property. This is rarely needed directly, but it is used by `new`.

getGridLayoutChildRowSpan :: (MonadIO m, IsGridLayoutChild o) => o -> m Int32 Source #

Get the value of the “`row-span`” property. When overloading is enabled, this is equivalent to

    get gridLayoutChild #rowSpan

setGridLayoutChildRowSpan :: (MonadIO m, IsGridLayoutChild o) => o -> Int32 -> m () Source #

Set the value of the “`row-span`” property. When overloading is enabled, this is equivalent to

    set gridLayoutChild [ #rowSpan := value ]